Subject: Re: bug#8370: RFC: cp --no-preserve=contents

From: Pádraig Brady <[email-masked]>
Date: Thu, 12 Apr 2012 01:41:46 +0100

On 03/28/2011 10:56 PM, Pádraig Brady wrote:
> On 28/03/11 21:55, Eric Blake wrote:
>> cp --attributes-only is great for preserving all metadata attributes
>> without corrupting contents, but what if I want to preserve only some of
>> the metadata (for example, copying SELinux context but _not_ timestamps
>> or content)?  It seems like --attributes-only would be a great synonym
>> for '--preserve=all  --no-preserve=contents', and that by adding the
>> 'contents' category to --preserve (and defaulting it to on unless turned
>> off explicitly), that you expose finer-grained tuning to what metadata
>> gets copied.
> 
> --attr and --preserve can be combined already. Is that enough?
> Here are the info docs:
> 
> `--attributes-only'
>      Preserve the specified attributes of the original files in the
>      copy, but do not copy any data.  See the `--preserve' option for
>      controlling which attributes to copy.

Cross referencing a related bug report:
https://bugzilla.redhat.com/show_bug.cgi?id=811746#c1

cheers,
Pádraig.